<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png">
    <div v-if="joke">{{joke}}</div>
    <button @click="callApi">New Joke</button>
  </div>
</template>

<script>
import { mapState } from 'vuex'
import jokeApi from './service/jokeApi'

export default {
  name: 'App',
  mixins: [jokeApi],
  computed: mapState({
    joke: state => state.actualJoke,
  }),
  methods: {
    callApi() {
      this.jokeApi()
    }
  },
  mounted() {
    this.jokeApi()
  }
}
</script>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
